<?php

// app/Traits/StringManipulationTrait.php

namespace App\Traits;

trait StringManipulationTrait
{
    public function cleanString($input)
    {
        // Supprimer les espaces
        $cleanedString = str_replace(' ', '', $input);

        // Remplacer les caractères spéciaux par le même caractère
        $cleanedString = preg_replace('/[^A-Za-z0-9\-]/', '', $cleanedString);

        return $cleanedString;
    }
}
